// Задача "Мостостроение"
// XVII командный чемпионат школьников Санкт-Петербурга по программированию
// Автор задачи: Виталий Аксенов
// Автор решения: Антон Ахи, akhi@rain.ifmo.ru
import java.io.*;
import java.util.*;
import java.math.*;

public class bridge_aa implements Runnable {

	public static void main(String[] args) {
		new Thread(new bridge_aa()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean u, String message) {
		if (!u) {
			throw new Error("Assertion failed!!! " + message);
		}
	}

	int inBounds(int x, int l, int r, String name) {
		myAssert(l <= x && x <= r, name + " not in bounds!!! " + x
				+ " not in [" + l + ".." + r + "]");
		return x;
	}

	String FNAME = "bridge";

	private void solve() throws IOException {
		int x = inBounds(nextInt(), 1, 150, "x");
		int a1 = inBounds(nextInt(), 1, 150, "a");
		int y = inBounds(nextInt(), 1, 150, "y");
		int b1 = inBounds(nextInt(), 1, 150, "b");
		int n = inBounds(nextInt(), 1, Math.min(150, x + y), "l");
		int l = 0;
		int r = x * a1 + y * b1 + 1;
		while (r - l > 1) {
			int m = (l + r) / 2;
			int[][] a = new int[x + 1][y + 1];
			for (int i = 0; i < a.length; i++) {
				for (int j = 0; j < a[i].length; j++) {
					for (int k = 0; k <= i; k++) {
						int len = a1 * k;
						if (j == 0) {
							j += 0;
						}
						int k2 = Math.max(0, (m - len + b1 - 1) / b1);
						if (k2 <= j) {
							a[i][j] = Math.max(a[i][j], a[i - k][j - k2] + 1);
						}
					}
				}
			}
			if (a[x][y] >= n) {
				l = m;
			} else {
				r = m;
			}
		}
		out.println(l);
	}

}
